Subject: Re: brcm80211 breakage..

From: "Arend van Spriel" <[email-masked]>
Date: Thu, 12 Jan 2012 11:03:53 +0100

On 01/12/2012 08:13 AM, Linus Torvalds wrote:
> On Wed, Jan 11, 2012 at 9:30 PM, Linus Torvalds
> <[email-masked]> wrote:
>>
>> The code in v3.2 also used to support srom rev < 4, the new code
>> doesn't seem to do that.
> 
> I ended up trying to bisect this, and seem to have been successful.
> The problem came in not with the BCMA use, but with commit
> 888153b3db3f ("brcm80211: smac: avoid sprom endianess conversions for
> crc8 check")

Thanks for doing that while I had put my head on a pillow.

> I haven't yet tried to revert this on top of the current tree, but I'm
> pretty sure about the bisection. That commit changes things to be read
> a byte at a time, but it *also* removes the old code that only read
> SROM_WORDS from the SROM.
> 
> Might the apple parts have different SROM contents? I assume "SROM" is
> just a serial rom, which may be external and contain things like the ?

Mostly configuration parameters for RF/PHY.

> All the BCMA changes make the revert somewhat non-trivial, could
> somebody who knows the code better please try to do it for me? It
> doesn't look complicated, and I can try to do it myself tomorrow if
> nobody else steps up, but I'd *really* prefer the guilty parties
> themselves to do it, ok?
> 
> Arend - it's your commit...

Ok. I know a hint when I see one ;-)

>                     Linus

Gr. AvS